Bug 6431 - New Circulation modules for Hourly Circulation
Summary: New Circulation modules for Hourly Circulation
Status: CLOSED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Chris Cormack
QA Contact: Bugs List
URL:
Keywords:
Depends on: 6430
Blocks: 5549 6432
  Show dependency treegraph
 
Reported: 2011-05-31 01:42 UTC by Chris Cormack
Modified: 2012-10-26 00:51 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 6431 : New modules for doing hourly circulation (12.87 KB, patch)
2011-05-31 01:45 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 6431 - Copying C4::Dates and C4::Calenda to Koha:: and removing calls to C4:: modules (37.40 KB, patch)
2011-05-31 01:47 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 6531 Tests for new modules (1.11 KB, patch)
2011-05-31 02:05 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 6431 Tests for new modules (1.12 KB, patch)
2011-05-31 02:07 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2011-05-31 01:42:32 UTC

    
Comment 1 Chris Cormack 2011-05-31 01:45:48 UTC
Created attachment 4312 [details] [review]
Bug 6431 : New modules for doing hourly circulation

These live now in the Koha:: namespace and reference no modules in C4

They are written in OO style, more pod and tests to follow
Comment 2 Chris Cormack 2011-05-31 01:47:40 UTC
Created attachment 4313 [details] [review]
Bug 6431 - Copying C4::Dates and C4::Calenda to Koha:: and removing calls to C4:: modules

Part of the work for 5549 Hourly circulation
Comment 3 Chris Cormack 2011-05-31 02:05:28 UTC Comment hidden (obsolete)
Comment 4 Chris Cormack 2011-05-31 02:07:48 UTC
Created attachment 4315 [details] [review]
Bug 6431 Tests for new modules

http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=6431
Comment 5 Chris Nighswonger 2011-10-26 18:02:18 UTC
The fix for this bug was published in the 3.4.5 release. If you were the reporter of this bug, please take time to verify the fix and update the status of this bug report accordingly. If the bug is fixed to your satisfaction, please close this report.
Comment 6 Jared Camins-Esakov 2012-02-12 23:01:34 UTC
Per discussion with rangi on IRC, these patches have already been incorporated into the branch for bug 5579. Marking this bug RESOLVED--WONTFIX.